> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/account/get-positions-history/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get positions history GET https://www.okx.com/api/v5/account/positions-history Retrieve the position history of the account. Records are retained for the last 3 months. Reference: https://okx-demo.ferndocs.com/api/api-reference/account/get-positions-history ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Query parameters - `instType` (enum, optional) — Instrument type. - Allowed values: `MARGIN`, `SWAP`, `FUTURES`, `OPTION` - `instId` (string, optional) — Instrument ID. - `mgnMode` (enum, optional) — Margin mode. - Allowed values: `cross`, `isolated` - `type` (enum, optional) — The type of the latest close position: 1 close partially, 2 close all, 3 liquidation, 4 partial liquidation, 5 ADL. - Allowed values: `1`, `2`, `3`, `4`, `5` - `posId` (string, optional) — Position ID. - `after` (string, optional) — Pagination of data to return records earlier than the requested uTime, Unix timestamp in milliseconds. - `before` (string, optional) — Pagination of data to return records newer than the requested uTime, Unix timestamp in milliseconds. - `limit` (string, optional) — Number of results per request. Maximum 100, default 100. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5AccountPositionsHistoryGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5AccountPositionsHistoryGetResponsesContentApplicationJsonSchemaDataItems - `instType` (string, optional) — Instrument type. - `instId` (string, optional) — Instrument ID. - `mgnMode` (string, optional) — Margin mode. - `type` (string, optional) — The type of the latest close position. - `posId` (string, optional) — Position ID. - `posSide` (string, optional) — Position side. - `lever` (string, optional) — Leverage. - `openAvgPx` (string, optional) — Average price of opening position. - `closeAvgPx` (string, optional) — Average price of closing position. - `openMaxPos` (string, optional) — Maximum position quantity during the position holding period. - `closeTotalPos` (string, optional) — Total closed position quantity. - `pnl` (string, optional) — Profit and loss. - `pnlRatio` (string, optional) — Profit and loss ratio. - `ccy` (string, optional) — Margin currency. - `uly` (string, optional) — Underlying. - `cTime` (string, optional) — Created time of the position, Unix timestamp in milliseconds. - `uTime` (string, optional) — Updated time of the position, Unix timestamp in milliseconds. ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "instType": "SWAP", "instId": "BTC-USD-SWAP", "mgnMode": "cross", "type": "1", "posId": "452587086133239818", "posSide": "long", "lever": "10.0", "openAvgPx": "29783.8999999995535393", "closeAvgPx": "29786.5999999789081085", "openMaxPos": "1", "closeTotalPos": "1", "pnl": "0.0011", "pnlRatio": "0.000906447858888", "ccy": "BTC", "uly": "BTC-USD", "cTime": "1654177169995", "uTime": "1654177174419", "direction": "long", "fee": "-0.0001", "fundingFee": "0", "liqPenalty": "0", "nonSettleAvgPx": "", "realizedPnl": "0.001", "settledPnl": "", "triggerPx": "" } ] } ``` **SDK Code** ```python account_getPositionsHistory_example import requests url = "https://www.okx.com/api/v5/account/positions-history" headers = {"OK-ACCESS-KEY": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript account_getPositionsHistory_example const url = 'https://www.okx.com/api/v5/account/positions-history'; const options = {method: 'GET', headers: {'OK-ACCESS-KEY': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go account_getPositionsHistory_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/account/positions-history" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("OK-ACCESS-KEY", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby account_getPositionsHistory_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/account/positions-history") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["OK-ACCESS-KEY"] = '' response = http.request(request) puts response.read_body ``` ```java account_getPositionsHistory_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/account/positions-history") .header("OK-ACCESS-KEY", "") .asString(); ``` ```php account_getPositionsHistory_example request('GET', 'https://www.okx.com/api/v5/account/positions-history', [ 'headers' => [ 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp account_getPositionsHistory_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/account/positions-history"); var request = new RestRequest(Method.GET); request.AddHeader("OK-ACCESS-KEY", ""); IRestResponse response = client.Execute(request); ``` ```swift account_getPositionsHistory_example import Foundation let headers = ["OK-ACCESS-KEY": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/account/positions-history")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```